%define	name	arkhart
%define	oname	ark
%define	version	0.1.3
%define	release	2mdk
%define	major	0
%define	lib_name_orig	lib%{oname}
%define	lib_name	%mklibname %{oname} %{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://arkhart.nekeme.net
Source0:	http://arkhart.nekeme.net/download/releases/%{oname}-%{version}.tar.bz2
Source1:	http://arkhart.nekeme.net/download/releases/Arkhart-data-%{version}.tar.bz2
Source2:	%{name}-icons.tar.bz2
Source3:	%{name}.sh.bz2
License:	GPL
Group:		Games/Adventure
Summary:	A roleplaying game in an original world called Arkhart
BuildRequires:	liblua-devel XFree86-devel libnas-devel libSDL_mixer-devel libogg-devel libpng-devel
BuildRequires:	libz-devel libsmpeg-devel libMesaGLU-devel libjpeg-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
After a never-ending war which had begun because of the arrival
of the daphyrings (insect-like creatures) which some humans feared,
the planet sank bit by bit into a Middle-Age-like ignorance. From
the bits of a rich and united nation were born numerous empires
ever waging war between themselves. Humans having forgotten all
their knowledge use the seldom-found devices of the ancient
civilization such as magical artifacts, for they now know only how
to forge old-fashioned weapons such as swords, axes, bows... 

%package -n	%{lib_name}
Summary:	Libraries needed for %{name}
Group:		System/Libraries
Provides:	%{lib_name_orig}

%description -n	%{lib_name}
Libraries needed for %{name}

%package -n	%{lib_name}-devel
Summary:	Development headers and libraries for %{name}
Group:		Development/C++
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{lib_name}-devel
Development headers and libraries for %{name}

%package -n	%{lib_name}-static-devel
Summary:	Static  libraries for writing programs using %{oname}
Group:		Development/C++
Requires:	%{lib_name}-devel = %{version}
Provides:	%{lib_name_orig}-static-devel = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}

%description -n	%{lib_name}-static-devel
Static libraries for %{name}

%prep
%setup -q -n %{oname}-%{version} -a1
for f in `find -type f -name \*~`
	do `echo rm -f $f`
done

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--with-pic \
		--with-gnu-ld \
		--disable-debug
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std

#(peroyvind) move ark-config to %{_bindir} as this belongs to the devel package
%{__install} -d $RPM_BUILD_ROOT{%{_bindir},%{_gamesdatadir}}
%{__mv} $RPM_BUILD_ROOT%{_gamesbindir}/ark-config $RPM_BUILD_ROOT%{_bindir}
%{__cp} -a Arkhart-data-0.1.3 $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}

%{__bzip2} -dc %{SOURCE3} > $RPM_BUILD_ROOT%{_gamesbindir}/%{name}

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="Amusement/Adventure" \
		title="ArkHart"\
		longtitle="%{summary}"
EOF

%{__install} -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
%{__tar} -xOjf %{SOURCE2} %{name}-icons/%{name}-16x16.png > ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
%{__tar} -xOjf %{SOURCE2} %{name}-icons/%{name}-32x32.png > ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
%{__tar} -xOjf %{SOURCE2} %{name}-icons/%{name}-48x48.png > ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INSTALL README NEWS TODO
%lang(fr) %doc Docs/*.fr
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%defattr(755,root,root,755)
%{_gamesbindir}/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%{_libdir}/lib*.la

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc Docs/*.html Docs/*.dox
%{_bindir}/%{oname}-config
%{_libdir}/lib*.so
%{_includedir}/Ark

%files -n %{lib_name}-static-devel
%defattr(-,root,root)
%{_libdir}/lib*.a

%changelog
* Sat Apr 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.1.3-2mdk
- changed from ~ to $HOME in wrapperscript for conf files (using ~ in stead
  of full path made game segfault)

* Sat Apr 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.1.3-1mdk
- initial mdk release
